;(function () {
    function headFixed() {
        var headEl = $('#header'),
            headHeight = headEl.height(),
            lis = headEl.find('.nav li'),
            secEls = $('.section'),
            headOffset = headEl.offset().top,
            fixedStyle = {
                position: "fixed",
                top: 0,
                left: 0,
                zIndex: 5
            },
            staticStyle = {position: "static"},
            scrollTop;

        function heightCompare() {
            scrollTop = $(window).scrollTop();
            (scrollTop >= headOffset) ? headEl.css(fixedStyle) : headEl.css(staticStyle);
            secEls.each(function () {
                var elTop = $(this).offset().top,
                    id;
                    //原来事50
                if (scrollTop + headHeight <= elTop + 100 && scrollTop + headHeight >= elTop - 100) id = $(this).attr('id');
                if (id) {
                    lis.each(function () {
                        if ($(this).attr('data-id').indexOf(id) > -1) {
                            $(this).addClass('active').siblings('.active').removeClass('active');
                            return false;
                        }
                    });
                    return false;
                }
            });
           
        }

        lis.on('click', function (e) {
//      	other();
            var e = e || window.event || arguments.callee.caller.arguments[0];
            e.preventDefault();
            $(this).addClass('active').siblings('.active').removeClass('active');
            var elId = $(this).attr('data-id');
            if (elId == '#notice') {
                window.open('/notice.html', '公告-呼呼省钱');
                return false;
            }
            if(elId == '#information'){
            	 window.open('news/index.html','呼呼资讯');
                return false;
            }
            var elOffset = $(elId).offset().top;
            $(window).scrollTop(elOffset - headHeight);
        })

        heightCompare();
        $(window).on('scroll', function () {
            heightCompare();
        });
    }

    function personDetail() {
        $('#sec4 .item').hover(function () {
            $(this).addClass('active').siblings('.active').removeClass('active');
            var id = $(this).attr('data-id');
            $('#' + id).addClass('active').siblings('.active').removeClass('active');
        });
    }
    function other(){
		$('.section-5').hide();
		$('#banner').show();
		$('#sec1').show();
		$('#sec2').show();
		$('#sec3').show();
		$('#sec4').show();
	}

    headFixed();
    personDetail();
})();